aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/common')
-rw-r--r--jjb/common/include-apps-rsync-download-changeid.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/jjb/common/include-apps-rsync-download-changeid.sh b/jjb/common/include-apps-rsync-download-changeid.sh
new file mode 100644
index 00000000..ad07c9f1
--- /dev/null
+++ b/jjb/common/include-apps-rsync-download-changeid.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+#set -x
+set -e
+
+echo "\n\n\n"
+echo "#########################################"
+echo "\n\n\n"
+
+
+export RSYNCDST="/srv/download/AGL/upload/ci/${GERRIT_CHANGE_NUMBER}/${GERRIT_PATCHSET_NUMBER}"
+export RSYNCSRC=$(pwd)/UPLOAD/
+
+# construct upload folder
+mv UPLOAD UPLOAD2 || true
+rm -rf UPLOAD2 || true
+mkdir -p UPLOAD/${TARGETARCH}
+export DEST=$(pwd)/UPLOAD/${TARGETARCH}
+
+pwd
+
+ls
+
+ls package
+
+
+cp package/*.wgt $DEST
+tree $DEST
+ls -alh $DEST
+
+ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 mkdir -p ${RSYNCDST}
+rsync -avr -L -e "ssh -o StrictHostKeyChecking=no" $RSYNCSRC jenkins-slave@10.30.72.8:$RSYNCDST